org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class DropStep<S>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterStep<S>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DropStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<S>>, Step<S,S>, Configuring, Mutating<Event>, Parameterizing

      public class DropStep<S>
      extends FilterStep<S>
      implements Mutating<Event>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object... keyValues)` This method doesn't do anything as `drop()` doesn't take property mutation arguments.
    `protected boolean` | `filter(Traverser.Admin<S> traverser)`
    `CallbackRegistry<Event>` | `getMutatingCallbackRegistry()` Gets the callback registry for events that the step raises.
    `Parameters` | `getParameters()` Gets the parameters on the step.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### DropStep

          public DropStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### filter

          protected boolean filter(Traverser.Admin<S> traverser)

      Specified by:
        `filter` in class `FilterStep<S>`

    - #### getMutatingCallbackRegistry

          public CallbackRegistry<Event> getMutatingCallbackRegistry()

      Description copied from interface: `Mutating`
      Gets the callback registry for events that the step raises.
      Specified by:
        `getMutatingCallbackRegistry` in interface `Mutating<Event>`

    - #### configure

          public void configure(Object... keyValues)

      This method doesn't do anything as `drop()` doesn't take property mutation arguments.
      Specified by:
        `configure` in interface `Configuring`

    - #### getParameters

          public Parameters getParameters()

      Description copied from interface: `Parameterizing`
      Gets the parameters on the step.
      Specified by:
        `getParameters` in interface `Parameterizing`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.